XFcImageLoadFilterTGA class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcImageLoadFilterTGA Class Reference

TGA-loading image filter. More...

Inheritance diagram for XFcImageLoadFilterTGA:

[legend]
Collaboration diagram for XFcImageLoadFilterTGA:

[legend]
List of all members.

## Public Member Functions

virtual XFCIMPORT | ~XFcImageLoadFilterTGA ()
| Virtual destructor; core makes sure the object is deleted.
XFCIMPORT | XFcImageLoadFilterTGA ()
| Constructor.

## Protected Member Functions

virtual INT | validateImage (const CHAR *aFilename, XFcFile *aFile)
| Determines if this plugin can load a specified file.
virtual void | getImageInfo (const CHAR *aFilename, XFcFile *aFile, INT32 *aWidth, INT32 *aHeight, INT *aAlphaLayer, INT *aPaletted)
| Inherited from XFcImageLoader.
virtual UINT32 * | getImage8888 (const CHAR *aFilename, XFcFile *aFile)
| Inherited from XFcImageLoader.
virtual void | getImagePaletted (const CHAR *aFilename, XFcFile *aFile, UINT8 **aPalettePtr, UINT8 **aBitmapPtr)
| Inherited from XFcImageLoader.

## Detailed Description

TGA-loading image filter.

This filter can load most common variants of the TGA format, including RLE compressed ones. Greyscale images are not currently supported.

  If the TGA file has an alpha layer, XFcImageLoader automatically creates surface in 16-bit 5515 format instead of 55X5 format.

## Constructor & Destructor Documentation

virtual XFCIMPORT XFcImageLoadFilterTGA::~XFcImageLoadFilterTGA | ( |  | ) | `[virtual]`

| Virtual destructor; core makes sure the object is deleted.

XFCIMPORT XFcImageLoadFilterTGA::XFcImageLoadFilterTGA | ( |  | ) |

| Constructor.

## Member Function Documentation

virtual UINT32* XFcImageLoadFilterTGA::getImage8888 | ( | const CHAR * | aFilename,
|  | XFcFile * | aFile
| ) | `[protected, virtual]`

Inherited from XFcImageLoader.

See also:
  XFcImageLoader::getImage8888

Reimplemented from XFcImageLoader.

virtual void XFcImageLoadFilterTGA::getImageInfo | ( | const CHAR * | aFilename,
|  | XFcFile * | aFile,
|  | INT32 * | aWidth,
|  | INT32 * | aHeight,
|  | INT * | aAlphaLayer,
|  | INT * | aPaletted
| ) | `[protected, virtual]`

Inherited from XFcImageLoader.

See also:
  XFcImageLoader::getImageInfo

Implements XFcImageLoader.

virtual void XFcImageLoadFilterTGA::getImagePaletted | ( | const CHAR * | aFilename,
|  | XFcFile * | aFile,
|  | UINT8 ** | aPalettePtr,
|  | UINT8 ** | aBitmapPtr
| ) | `[protected, virtual]`

Inherited from XFcImageLoader.

See also:
  XFcImageLoader::getImagePaletted

Reimplemented from XFcImageLoader.

virtual INT XFcImageLoadFilterTGA::validateImage | ( | const CHAR * | aFilename,
|  | XFcFile * | aFile
| ) | `[protected, virtual]`

Determines if this plugin can load a specified file.

Parameters:

  aFilename | filename of the file for validation.
  aFile | file to validate.

Returns:
  1 if this plugin can load this file, or 0 if cannot.

Implements XFcImageLoader.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch